#ifndef JCC71Analysis_h
#define JCC71Analysis_h 1

//#include "g4root.hh"
#include "G4SystemOfUnits.hh"


#include "globals.hh"

#include "TROOT.h"
#include "TFile.h"
#include "TNtuple.h"
#include "TH2D.h"


const G4int MaxNtCol = 6;

class JCC71Analysis

{

public:

	JCC71Analysis();
	~JCC71Analysis(); 

	static JCC71Analysis* getInstance();



	void Book();
	void Clear();
	void FillHistogram(G4int tubeNum, G4double energy);
	void FillHistogramPT(G4int tubeNum, G4double energy);
	void FillHistogramGN(G4int tubeNum, G4double energy);
	void FillPrimaryInfo(G4int num, G4double energy, G4double xmomDir, G4double ymomDir, G4double zmomDir);
	void FillSecondaryInfo(G4String particleName, G4double energy, G4int tubeNum);
	void Finish();



private:

	TFile* theTFile;
	G4int NtColId[MaxNtCol];

	static JCC71Analysis* instance;


	TH2D* Histo1;
	TH2D* Histo2;
	TH2D* Histo3;

	TNtuple* Ntuple1;
	TNtuple* Ntuple2;
	
	

};

#endif
