#ifndef JCC71Digis_h
#define JCC71Digis_h 1

#include "G4VDigi.hh"
#include "G4TDigiCollection.hh"
#include "G4Allocator.hh"




class JCC71Digis : public G4VDigi
{
	public:
	JCC71Digis();
	virtual ~JCC71Digis();

	JCC71Digis(const JCC71Digis &right);  // constructor overload
	const JCC71Digis& operator=(const JCC71Digis &right);
	int operator==(const JCC71Digis &right) const;

	inline void *operator new(size_t);
	inline void operator delete(void* aDigi);

	void StoreDigiLoc(G4int i) {loc = i;}
	G4int RetrieveDigiLoc() const {return loc;}


	void StoreEdep(G4double e) {edep = e;}
	G4double RetrieveEdep() const {return edep;}


	void StoreTime(G4double t) {time = t;}
	G4double RetrieveTime() const {return time;}

	void StoreParticleName(G4String sec) {particleName = sec;}
	G4String RetrieveParticleName() const {return particleName;}

	virtual void Draw();
	virtual void Print();



	private:
	G4String particleName;
	G4double time;
	G4double edep;
	G4int loc;

};

//using JCC71DigisCollection = G4TDigiCollection<JCC71Digis>;
typedef G4TDigiCollection<JCC71Digis> JCC71DigisCollection;

extern G4ThreadLocal G4Allocator<JCC71Digis>* JCC71DigisAllocator;

inline void* JCC71Digis::operator new(size_t)

{
	if(!JCC71DigisAllocator)
	{JCC71DigisAllocator	=	new G4Allocator<JCC71Digis>;}

	return	(void*) JCC71DigisAllocator -> MallocSingle();


}


inline void JCC71Digis::operator delete(void* aDigi)
{
	
	JCC71DigisAllocator 	->	FreeSingle((JCC71Digis*) aDigi);

}
#endif
