#ifndef JCC71Hits_h
#define JCC71Hits_h 1

#include "G4VHit.hh"
#include "G4THitsCollection.hh"
#include "G4Allocator.hh"




class JCC71Hits	: public G4VHit
{
	public:
	JCC71Hits();
	virtual ~JCC71Hits();

	JCC71Hits(const JCC71Hits &right);  // constructor overload
	const JCC71Hits& operator=(const JCC71Hits &right);
	int operator==(const JCC71Hits &right) const;

	inline void *operator new(size_t);
	inline void operator delete(void* aHit);

	void StoreHitLoc(G4int i) {loc = i;}
	G4int RetrieveHitLoc() const {return loc;}


	void StoreEdep(G4double e) {edep = e;}
	G4double RetrieveEdep() const {return edep;}


	void StoreTime(G4double t) {time = t;}
	G4double RetrieveTime() const {return time;}

	void StoreParticleName(G4String sec) {particleName = sec;}
	G4String RetrieveParticleName() const {return particleName;}

	virtual void Draw();
	virtual void Print();



	private:
	G4String particleName;
	G4double time;
	G4double edep;
	G4int loc;




};

//using JCC71HitsCollection = G4THitsCollection<JCC71Hits>;
typedef G4THitsCollection<JCC71Hits> JCC71HitsCollection;

extern G4ThreadLocal G4Allocator<JCC71Hits>* JCC71HitsAllocator;

inline void* JCC71Hits::operator new(size_t)

{
	if(!JCC71HitsAllocator)
	{JCC71HitsAllocator	=	new G4Allocator<JCC71Hits>;}

	return	(void*) JCC71HitsAllocator -> MallocSingle();


}


inline void JCC71Hits::operator delete(void* aHit)
{
	
	JCC71HitsAllocator 	->	FreeSingle((JCC71Hits*) aHit);

}
#endif
