#ifndef JCC71Material_h
#define JCC71Material_h 1

#include "G4NistManager.hh"
#include "G4MaterialTable.hh"
#include "G4Isotope.hh"
#include "G4Element.hh"
#include "G4Material.hh"
#include "G4SystemOfUnits.hh"


class JCC71Material
{
public:

	JCC71Material();
	virtual ~JCC71Material();

	void ConstructMaterial();
	G4Material* RetrieveMaterial(G4String mat);

private:

	G4Material* Material;
	G4MaterialTable* pTable;
	G4Isotope* He3;
	G4Isotope* He4;
	G4Element* elHe;
	G4Material* Helium3;


	G4String name, symbol;
	G4double a, z, density, abundance, temperature, pressure;	
	G4int iz, n, ncomponents, natoms;



};

#endif
