#ifndef JCC71PrimaryGeneratorAction_h
#define JCC71PrimaryGeneratorAction_h 1

#include "G4VUserPrimaryGeneratorAction.hh"
#include "G4ThreeVector.hh"
#include "globals.hh"

#include "G4ParticleTable.hh"
#include "G4ParticleGun.hh"
#include "G4Event.hh"

#include "G4SystemOfUnits.hh"
#include "Randomize.hh"

#include "JCC71Analysis.hh"

#include "JCC71FissionEvent.hh"
#include "G4fissionEvent.hh"
//#include "G4LLNLFission.hh"

class G4ParticleGun;
class G4Event;



class JCC71PrimaryGeneratorAction : public G4VUserPrimaryGeneratorAction
{
	public:
	
	JCC71PrimaryGeneratorAction();
	~JCC71PrimaryGeneratorAction();

	void GeneratePrimaries(G4Event* event);
	void GenerateNeutronPrimaries(G4Event* event);

	
	private:

	JCC71FissionEvent* SPFission;
//	G4fissionEvent* SPFission;
	G4ParticleGun* particleGunNeut;

	JCC71Analysis* analysis;

	G4String particleName;

	G4int	isotope;
	G4double time;
	G4double nubar;
	G4double energy;
	G4double a, b, c, n;

	G4ParticleTable* particleTable;
	G4ParticleDefinition* particle;


};

#endif

