#ifndef JCC71SDTracker_h
#define JCC71SDTracker_h 1

#include "JCC71Hits.hh"
#include "G4SDManager.hh"

#include "G4Step.hh"
#include "G4Track.hh"

#include "G4VTouchable.hh"
#include "G4TouchableHistory.hh"
#include "G4SystemOfUnits.hh"

#include "G4VSensitiveDetector.hh"


class G4Step;
class G4HCofThisEvent;
class G4TouchableHistory;


class JCC71SDTracker : public G4VSensitiveDetector
{
	public:

	JCC71SDTracker(G4String name);
	~JCC71SDTracker();

	void Initialize(G4HCofThisEvent* HCE);
	G4bool ProcessHits(G4Step* step, G4TouchableHistory* ROhist);
	void EndOfEvent(G4HCofThisEvent* HCE);

	private:

	JCC71Hits* pHit;
	JCC71HitsCollection* hitsCollection;
	G4TouchableHandle theTouchable;
	G4int loc;
	G4double time;

};

#endif
