#include "JCC71Analysis.hh"



JCC71Analysis* JCC71Analysis::instance = 0;

JCC71Analysis::JCC71Analysis()
{

}

JCC71Analysis::~JCC71Analysis()
{

	Clear();

}

JCC71Analysis* JCC71Analysis::getInstance()
{

	if (instance == 0) instance = new JCC71Analysis();
	return instance;

}
void JCC71Analysis::Clear()
{


	if (theTFile)

	{

	delete Histo1;
	Histo1 = 0;

	delete Histo2;
	Histo2 = 0;

	delete Ntuple1;
	Ntuple1 = 0;

	delete Ntuple2;
	Ntuple2 = 0;

	}


}
void JCC71Analysis::Book()
{



	delete theTFile;


// Create a TFile that can contain Histograms and or Ntuples

	theTFile 	= new TFile("JCC71OutputFile.root","RECREATE");

// Create Histograms 

	Histo1		= new TH2D("h1", "Secondary Particle Histogram", 
				          40, -1.1, 6.9,
					  10000, 0, 1000);

	Histo2		= new TH2D("h2", "Secondary Particle Histogram (Proton - Triton)", 
				          40, -1.1, 6.9,
					  10000, 0, 1000);

	Histo2		= new TH2D("h3", "Secondary Particle Histogram (Gamma - Neutron)", 
				          40, -1.1, 6.9,
					  10000, 0, 1000);
// Create Ntuples

//	Ntuple1		= new TNtuple ("n1", "Primary Information",
//						"Neutron Number: Energy: xmomDir: ymomDir: zmomDir");

//	Ntuple2		= new TNtuple ("n2", "Secondary Information",
//						"Particle Name: Energy: Tube Number");




}

void JCC71Analysis::FillHistogram(G4int tubeNum, G4double energy)
{

//  Fill Histogram with information of interest

	Histo1		-> Fill(tubeNum, energy);
	
}


void JCC71Analysis::FillHistogramPT(G4int tubeNum, G4double energy)
{

	Histo2		-> Fill(tubeNum, energy);

}


void JCC71Analysis::FillHistogramGN(G4int tubeNum, G4double energy)
{

	Histo3		-> Fill(tubeNum, energy);

}



void JCC71Analysis::FillPrimaryInfo(G4int num, G4double energy, G4double xmomDir, G4double ymomDir, G4double zmomDir)
{

//	Ntuple1		-> Fill(energy, xmomDir, ymomDir, zmomDir);

}

void JCC71Analysis::FillSecondaryInfo(G4String particleName, G4double energy, G4int tubeNum)
{

//	Ntuple2		-> Fill(particleName, energy, tubeNum);

}

//void JCC71Analysis::FillPrimaryInfoGamma(G4int num, G4double energy, G4double xmomDir, G4double ymomDir, G4double zmomDir)
//{



//}

//void JCC71Analysis::FillSecondaryInfoGamma(G4String particleName, G4double energy, G4int tubeNum, G4double time)
//{


//}
void JCC71Analysis::Finish()
{


	if (theTFile)
	
	{

	theTFile -> Write();
	theTFile -> Close();
	
	}


	theTFile = 0;

}
