#include "JCC71DetectorConstruction.hh"

#include "G4Colour.hh"
#include "G4RunManager.hh"
#include "G4VisAttributes.hh"
#include "G4SystemOfUnits.hh"




JCC71DetectorConstruction::JCC71DetectorConstruction():G4VUserDetectorConstruction()

{ 


	pMat			=	new JCC71Material;


	pMat			->	ConstructMaterial();



// World

	WorldSizeX      	=	1000*mm;
	WorldSizeY     		= 	WorldSizeX;
	WorldSizeZ		=	WorldSizeY;

// Assembly

	AssSizeX		=	200*mm;  //200
	AssSizeY		=	100*mm;	 //100
	AssSizeZ		=	300*mm;	 //300

// PBlock

	PolySizeX		=	152*mm;
	PolySizeY		=	 50*mm;
	PolySizeZ		=	250*mm;


// APlate

	BackPlateSizeX		=	PolySizeX;
	BackPlateSizeY		=	PolySizeY;
	BackPlateSizeZ		=	12*mm;

// HeTube

	HeTubeR1		=	0;
	HeTubeR2		=	12*mm;
	HeTubeH			=	160*mm;

// Chamfer

	ChamSizeX1		=	152*mm;
	ChamSizeX2		=	150*mm;
	ChamSizeY1		=	250*mm;
	ChamSizeY2		=	235*mm;
	ChamSizeZ		=	10*mm;

//	trackerSD.Put(0);

}



JCC71DetectorConstruction::~JCC71DetectorConstruction()
{ 


	delete pMat;

}




G4VPhysicalVolume* JCC71DetectorConstruction::Construct()
{  

// Calls the script that has all the material definition (JCC71Material)

	G4Material* Air		=	pMat	->	RetrieveMaterial("G4_AIR");  

// Dimension for detector parts


	


	World			=	new G4Box(		"World", 
								WorldSizeX,
								WorldSizeY, 
								WorldSizeZ);
	LogWorld		=	new G4LogicalVolume(	World, 
								Air, 
								"LogWorld");
	PhyWorld		=	new G4PVPlacement(	0,
								G4ThreeVector(0, 0, 0), 
								LogWorld, 
								"PhyWorld", 
								0, 
								false, 
								0, 
								checkOverlaps);

	LogWorld		->	SetVisAttributes (G4VisAttributes::Invisible);


	BuildSlabAssembly();


	return PhyWorld;

}   


void JCC71DetectorConstruction::BuildSlabAssembly()
{



	BuildPolyBlock();
	BuildHeTubes();
	BuildPolyChamfer();
	BuildAlBackPlate();
	BuildAlElectSupport();
	BuildElectBox();



	

}


void JCC71DetectorConstruction::BuildPolyBlock()
{



}

void JCC71DetectorConstruction::BuildHeTubes()
{




}


void JCC71DetectorConstruction::BuildPolyChamfer()
{


}

void JCC71DetectorConstruction::BuildAlBackPlate()
{



}


void JCC71DetectorConstruction::BuildAlElectSupport()
{



}


void JCC71DetectorConstruction::BuildElectBox()
{



}


void JCC71DetectorConstruction::ConstructSDandField()
{



}


