#include "JCC71FissionEvent.hh"

G4int JCC71FissionEvent::delayoption=0;
G4int JCC71FissionEvent::correlationoption=0;
G4int JCC71FissionEvent::nudistoption=3;
G4int JCC71FissionEvent::Cf252ndistoption=0;
G4int JCC71FissionEvent::Cf252nengoption=0;

JCC71FissionEvent::JCC71FissionEvent(G4int isotope, G4double time,
                               G4double nubar, G4double eng)
 :neutronNu(0), neutronEnergies(0), neutronVelocities(0), neutronDircosu(0),
  neutronDircosv(), neutronDircosw(), neutronAges(0)
{
   /*
    * Constructs a fission event with neutronNu neutrons and photonNu
    * photons.
    */
	G4int i;

   if (nubar == -1.) {
      /* spontaneous fission */
      neutronNu = JCC71SmpSpNuDistData(isotope, Cf252ndistoption);
		   } 

   if (neutronNu > 0) {
      neutronEnergies = new G4double[ neutronNu ];
      neutronVelocities = new G4double[ neutronNu ];
      neutronDircosu = new G4double[ neutronNu ];
      neutronDircosv = new G4double[ neutronNu ];
      neutronDircosw = new G4double[ neutronNu ];
      neutronAges = new G4double[neutronNu];

      for (i=0; i<neutronNu; i++) {
         if (isotope == 98252) neutronEnergies[i] = JCC71SmpNEngCf252(Cf252nengoption);
         else neutronEnergies[i] = JCC71SmpWatt(eng, isotope);
        neutronVelocities[i] = JCC71SmpNVel(
                 neutronEnergies[i],
                 &(neutronDircosu[i]),
                 &(neutronDircosv[i]),
                 &(neutronDircosw[i])
                );
	neutronAges[i] = time;
      				}
 		  }


}

JCC71FissionEvent::~JCC71FissionEvent() {
   if (neutronNu > 0) {
      delete [] neutronEnergies;
      delete [] neutronVelocities;
      delete [] neutronDircosu;
      delete [] neutronDircosv;
      delete [] neutronDircosw;
      delete [] neutronAges;

   }


}

