#include "JCC71FissionEvent.hh"

#include <iostream>
#include <sstream>


std::string itoa(const G4int& x);

void JCC71FissionEvent::JCC71Fissionerr(G4int iSever, std::string chSubNam, std::string chMsg)

/*
  Description
    multi error handling routine
*/

/*
   Input
     iSever   - severity code:  larger number:  more severe
                0    : no error
                1-5  : non-fatal
                6-   : fatal
     chSubNm  - calling subroutine name
     chMsg    - error message
*/

{
   G4int doExit;
   std::string ExitMsg;
 
   
   if (iSever <= 5) {   /* warning */
     doExit = 0;
   }
   else {
     doExit = 1;
   }

   ExitMsg = "Error in Function "+chSubNam+", Severity=" + itoa(iSever) + " : "+chMsg;

   std::cerr << "Fission " << ExitMsg << std::endl;
   if (doExit == 1) G4Exception("JCC71FissionEvent::JCC71Fissionerr()", "601",
                                FatalException, "Fatal Error");

   return;
}


std::string itoa(const G4int& x)
{
  std::ostringstream o;
  if (!(o << x)) return "ERROR";
  return o.str();
}

