#include "JCC71FissionEvent.hh"

#include <cmath>
#include "G4Pow.hh"
#include "G4PhysicalConstants.hh"

void JCC71FissionEvent::JCC71SmpIsoDir(G4double* cosdiru, G4double* cosdirv, G4double* cosdirw) {

/*
  Description
    determine the 3 direction cosines of a particle emitted isotropically
*/

/*
  Input
  Output
            - 3 components of the direction cosines
              (cosdiru, cosdirv, cosdirw)
*/

	G4double cospolang, sinpolang, phi;

/*
   Choose emission angle isotropically.
   Select a polar angle direction cosine.
*/
//   	G4Pow* Pow=G4Pow::GetInstance();
   	cospolang = 1.-2.*fisslibrng();
//   	sinpolang = std::sqrt(1.-Pow->powA(cospolang, 2.));
  	sinpolang = sqrt(1.-pow(cospolang, 2.));
/*
   Select an azimuthal angle uniformly on (0,2*pi)
*/
   	phi = twopi*fisslibrng();
   	*cosdiru = sinpolang * std::cos(phi);
   	*cosdirv = sinpolang * std::sin(phi);
   	*cosdirw = cospolang;

//	delete Pow;
	

}

